Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libgpg-error0-32bit-1.46-1.2 RPM for ppc64

From OpenSuSE Ports Tumbleweed for ppc64

Name: libgpg-error0-32bit Distribution: openSUSE Tumbleweed
Version: 1.46 Vendor: openSUSE
Release: 1.2 Build date: Thu Oct 20 11:13:09 2022
Group: Development/Libraries/C and C++ Build host: obs-power9-11
Size: 198198 Source RPM: libgpg-error-1.46-1.2.src.rpm
Packager: http://bugs.opensuse.org
Url: https://www.gnupg.org/
Summary: Library That Defines Common Error Values for All GnuPG Components
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon, and possibly more in the future.

Provides

Requires

License

GPL-2.0-or-later AND LGPL-2.1-or-later

Changelog

* Mon Oct 17 2022 Pedro Monreal <pmonreal@suse.com>
  - Update to 1.46:
    * Support for bidirectional pipes under Windows.
    * REG_DWORD types are now support in the Windows Registry.
    * Added ES_SYSHD_SOCK support for gpgrt_sysopen under Windows.
    * Fixed gpgrt_log_get_fd for the file case.
    * Avoids header problem with C11 and "noreturn".
    * The gpg-error-config command is not installed by default, because
      it is now replaced by use of pkg-config/gpgrt-config with
      gpg-error.pc.  Supply --enable-install-gpg-error-config configure
      option, if it's really needed.
    * Fixed support of posix-lock for FreeBSD.
    * Build fixes for some Mingw tool chain versions.
    * Removed remaining support for WindowsCE.
    * Updated config.guess, config.sub, and config.rpath.
    * gpg-error-config is now only installed when enabled.
    * System paths are now stripped from --cflags --and --libs.
* Thu Apr 07 2022 Andreas Stieger <andreas.stieger@gmx.de>
  - update to 1.45:
    * gpgrt_access and gpgrt_mkdir now support file names longer than
      MAX_PATH
* Wed Feb 02 2022 Pedro Monreal <pmonreal@suse.com>
  - Update to 1.44:
    * Fix dependency to gpg-error-config-test.sh.
    * Run the posix locking test only on supported platforms.
    * Detect Linux systems using musl.
    * Fix gpg-error-config-test for PKG_CONFIG_LIBDIR.
    * Fix returning of option attributes for options with args.
    * Add Turkish translations.
* Fri Nov 05 2021 Pedro Monreal <pmonreal@suse.com>
  - Update to 1.43:
    * Fix for building against GNU libc 2.34.
    * Fix gpgrt-config problems.
    * Fix gpgrt_free for legacy platforms.
    * Fix truncation of error message in the middle of a character.
    * Fix the --disable-threads configure options.
    * Improve lock-obj generation for cross-builds.
    * Improve cross-builds.
    * Improve gpgrt_wait_processes.
* Fri Jun 18 2021 Jan Engelhardt <jengelh@inai.de>
  - Drop --with-pic (no effect with --disable-static).
* Fri Mar 26 2021 Andreas Stieger <andreas.stieger@gmx.de>
  - update to 1.42:
    * Improve cross-compiling support
    * Improve $libdir determination by gpgrt-config
    * Support --disable-thread by gen-lock-obj.sh
    * Interface changes relative to the 1.40 release
      GPG_ERR_SOURCE_TPM2D
* Mon Jan 25 2021 Dirk Müller <dmueller@suse.com>
  - update to 1.41:
    * Fixes another glitch in the "ignore" meta command.
    * Fixes two typos in the German translation.
    * New function gpgrt_access.
    * Make "ignore" meta command work correctly in the option parser.
    * Interface changes relative to the 1.39 release:
    gpgrt_access                     NEW.
* Wed Sep 02 2020 Pedro Monreal Gonzalez <pmonreal@suse.com>
  - Update to 1.39:
    * "gpg-error --lib-version" works again.
    * New function gpgrt_fcancel as alternative to gpgrt_close. This
      function avoid flushing out buffered data and also tries to delete
      a newly created file.
    * Update the gnupg project keyring
    * Interface changes relative to the 1.38 release:
    - gpgrt_fcancel: NEW.
* Sun May 31 2020 Andreas Stieger <andreas.stieger@gmx.de>
  - Update to 1.38:
    * New option parser features to implement system wide
      configuration files
    * New functions to build file names
    * New function to help reallocating arrays
    * Protect gpgrt_inc_errorcount against counter overflow
  - drop needless autotools build dependencies that were added for
    gawk5.patch
* Mon Feb 17 2020 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
  - Update to 1.37
    Release-info: https://dev.gnupg.org/T4772
    * Fixes a build problems when using Gawk 5.0  [#4459]
    * Improves cross-compiling support.  [#4643]
    * New error codes to map SQLite primary error codes.
    * Now uses poll(2) instead of select(2) in gpgrt_poll if possible.
    * Fixes a bug in gpgrt_close.  [#4698]
    * Fixes a few minor portability bugs.
    * New interfaces in this release:
      GPG_ERR_NO_KEYBOXD    GPG_ERR_KEYBOXD       GPG_ERR_NO_SERVICE
      GPG_ERR_SERVICE       GPG_ERR_SQL_OK        GPG_ERR_SQL_ERROR
      GPG_ERR_SQL_INTERNAL  GPG_ERR_SQL_PERM      GPG_ERR_SQL_ABORT
      GPG_ERR_SQL_BUSY      GPG_ERR_SQL_LOCKED    GPG_ERR_SQL_NOMEM
      GPG_ERR_SQL_READONLY  GPG_ERR_SQL_INTERRUPT GPG_ERR_SQL_IOERR
      GPG_ERR_SQL_CORRUPT   GPG_ERR_SQL_NOTFOUND  GPG_ERR_SQL_FULL
      GPG_ERR_SQL_CANTOPEN  GPG_ERR_SQL_PROTOCOL  GPG_ERR_SQL_EMPTY
      GPG_ERR_SQL_SCHEMA    GPG_ERR_SQL_TOOBIG    GPG_ERR_SQL_CONSTRAINT
      GPG_ERR_SQL_MISMATCH  GPG_ERR_SQL_MISUSE    GPG_ERR_SQL_NOLFS
      GPG_ERR_SQL_AUTH      GPG_ERR_SQL_FORMAT    GPG_ERR_SQL_RANGE
      GPG_ERR_SQL_NOTADB    GPG_ERR_SQL_NOTICE    GPG_ERR_SQL_WARNING
      GPG_ERR_SQL_ROW       GPG_ERR_SQL_DONE
  - Remove patch fixed upstream.
    * gawk5.patch
* Fri Aug 16 2019 Tomáš Chvátal <tchvatal@suse.com>
  - Add patch to fix buidling with gawk 5.0 and newer:
    * gawk5.patch
* Tue Mar 19 2019 Karol Babioch <kbabioch@suse.de>
  - Update to 1.36:
    * Two new error codes to better support PIV cards
    * Support armv7a-unknown-linux-gnueabihf
* Mon Jan 28 2019 Karol Babioch <kbabioch@suse.de>
  - Update to 1.35:
    * Distribute the correct gpgrt-config
* Wed Jan 16 2019 Karol Babioch <kbabioch@suse.de>
  - update to 1.34:
    * Support for riscv32
    * New API to allow emergency cleanup after internal fatal errors
    * Minor bug and portability fixes

Files

/usr/lib/libgpg-error.so.0
/usr/lib/libgpg-error.so.0.33.1


Generated by rpm2html 1.8.1

Fabrice Bellet, Thu Jan 26 00:49:56 2023